# Uses of Class
org.eclipse.ui.internal.WorkbenchWindow

Packages that use WorkbenchWindow
Package
Description
org.eclipse.ui.internal

## Uses of WorkbenchWindow in org.eclipse.ui.internal

Fields in org.eclipse.ui.internal declared as WorkbenchWindow
Modifier and Type
Field
Description
`protected WorkbenchWindow`
WorkbenchPage.`legacyWindow`
Methods in org.eclipse.ui.internal that return WorkbenchWindow
Modifier and Type
Method
Description
`WorkbenchWindow`
Workbench.`openWorkbenchWindow(IAdaptable input, IPerspectiveDescriptor descriptor, MWindow window, boolean newWindow)`
Constructors in org.eclipse.ui.internal with parameters of type WorkbenchWindow
Modifier
Constructor
Description
``
`ActionPresentation(WorkbenchWindow window)`
ActionPresentation constructor comment.
``
`WorkbenchPage(WorkbenchWindow w, IAdaptable input)`
Constructs a page.
``
`WWinActionBars(WorkbenchWindow window)`
PerspActionBars constructor comment.